//
//  GSProgressWindowController.h
//  Glyphs
//
//  Created by Georg Seifert on 21.5.08.
//  Copyright 2008 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface GSProgressWindowController : NSWindowController {
	//NSString * message;
	IBOutlet NSTextField *messageField;
	IBOutlet NSProgressIndicator *__unsafe_unretained progress;
	IBOutlet NSImageView *iconView;
	IBOutlet NSButton *cancelButton;
	SEL _cancelSelector;
	id __unsafe_unretained _theDelegate;
}
@property (unsafe_unretained, nonatomic) NSString *message;
@property (unsafe_unretained, nonatomic) NSProgressIndicator *progress;

@property (assign, nonatomic) SEL cancelSelector;
@property (unsafe_unretained, nonatomic) id delegate;

- (void)showCancelButton:(BOOL)show;

- (IBAction)cancelAction:(id)sender;
@end
